Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Species

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.Species

All Implemented Interfaces:
  DataElement, MutableDataElement

public class Species
extends MutableDataElementSupport

General definition for 'Species' concept. Generally, species latin name is its identifier as `DataElement`, thus methods `MutableDataElementSupport.getName()` and `getLatinName()` should returns the same value.

Pendung:
  DataElement.origin should reffer to species classification.

Field Summary

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Species(DataCollection parent, java.lang.String name)`

Method Summary
`java.lang.String` | `getAbbreviation()` Returns species abbreviation used in gene and proteine identifiers.
`java.lang.String` | `getCommonName()` Returns species common name (generally english), for example 'mouse'.
`java.lang.String` | `getDescription()` Returns species description.
`java.lang.String` | `getLatinName()` Returns species latin name, for example 'Mus musculus'.
`void` | `setAbbreviation(java.lang.String abbreviation)`
`void` | `setCommonName(java.lang.String commonName)`
`void` | `setDescription(java.lang.String description)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### Species

    public Species(DataCollection parent,
                   java.lang.String name)

Method Detail

### getLatinName

    public java.lang.String getLatinName()

  Returns species latin name, for example 'Mus musculus'.

### getCommonName

    public java.lang.String getCommonName()

  Returns species common name (generally english), for example 'mouse'.

### setCommonName

    public void setCommonName(java.lang.String commonName)

### getAbbreviation

    public java.lang.String getAbbreviation()

  Returns species abbreviation used in gene and proteine identifiers. Generally it is two letter species abrevations, for example 'Mm' for 'Mus musculus'.

### setAbbreviation

    public void setAbbreviation(java.lang.String abbreviation)

### getDescription

    public java.lang.String getDescription()

  Returns species description. Generally it is some short comment.

### setDescription

    public void setDescription(java.lang.String description)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.